package api.txBanner

import android.app.Activity
import android.view.View
import com.qq.e.ads.banner2.UnifiedBannerADListener
import com.qq.e.ads.banner2.UnifiedBannerView
import com.qq.e.comm.util.AdError

class TX_Banner : BannerAPI_TX() {
    private var banner: UnifiedBannerView? = null
    override fun loadBanner(context: Activity?, GDTAPPID: String?, BannerID: String?,refreshTime:Int , callBack: LoadBannerCallBack?): View {
        banner = UnifiedBannerView(context, GDTAPPID, BannerID, object : UnifiedBannerADListener {
            //浮层关闭时调用
            override fun onADCloseOverlay() {
                callBack?.onBannerCloseOverlay()
            }

            //当广告曝光时发起的回调
            override fun onADExposure() {
                callBack?.onBannerExposure()
            }

            //当广告关闭时调用
            override fun onADClosed() {
                callBack?.onBannerClosed()
            }

            //由于广告点击离开 APP 时调用
            override fun onADLeftApplication() {
                callBack?.onBannerLeftApplication()
            }

            //当广告打开浮层时调用，如打开内置浏览器、内容展示浮层，一般发生在点击之后
            override fun onADOpenOverlay() {
                callBack?.onBannerOpenOverlay()
            }

            override fun onNoAD(p0: AdError?) {
                callBack?.onNoBanner(p0?.errorCode.toString(), p0?.errorMsg)
            }

            //广告加载成功回调，表示广告相关的资源已经加载完毕，Ready To Show
            override fun onADReceive() {
                callBack?.onBannerReceiv()
            }

            override fun onADClicked() {
                callBack?.onBannerClicked()
            }
        })
        //设置广告轮播时间，为0或30~120之间的数字，单位为s,0标识不自动轮播
        banner!!.setRefresh(refreshTime)
        /* 发起广告请求，收到广告数据后会展示数据   */
        banner!!.loadAD()
        return banner as UnifiedBannerView
    }

    override fun bannerDestroy() {
        banner?.destroy()
    }
}
