package api.txNativeMould

import android.content.Context
import com.qq.e.ads.nativ.ADSize
import com.qq.e.ads.nativ.NativeExpressAD
import com.qq.e.ads.nativ.NativeExpressADView
import com.qq.e.comm.util.AdError

class TX_NativeMould : NativeMouldAPI_TX() {
    private var nativeExpress: NativeExpressAD? = null
    private var nativeExpressView: NativeExpressADView? = null

    override fun loadNativeMould(context: Context?, loadCount: Int, GDTAPPID: String?, NativePosID: String?, callBack: LoadNativeMouldCallBack?) {

        nativeExpress = NativeExpressAD(context, ADSize(ADSize.FULL_WIDTH, ADSize.AUTO_HEIGHT), GDTAPPID, NativePosID, object : NativeExpressAD.NativeExpressADListener {
            override fun onADCloseOverlay(p0: NativeExpressADView?) {
                callBack?.onCloseOverlay()
            }

            override fun onADLoaded(p0: MutableList<NativeExpressADView>?) {
                // 释放前一个NativeExpressADView的资源
                if (nativeExpressView != null) {
                    nativeExpressView?.destroy()
                }
                // 3.返回数据后，SDK会返回可以用于展示NativeExpressADView列表
                nativeExpressView = p0?.get(0)
                nativeExpressView?.render()
                callBack?.onLoaded(nativeExpressView)
            }

            override fun onADOpenOverlay(p0: NativeExpressADView?) {
                callBack?.onOpenOverlay()
            }

            override fun onRenderFail(p0: NativeExpressADView?) {
                callBack?.onRenderFail()
            }

            override fun onADExposure(p0: NativeExpressADView?) {
                callBack?.onExposure()
            }

            override fun onADClosed(p0: NativeExpressADView?) {
                callBack?.onClosed()
            }

            override fun onADLeftApplication(p0: NativeExpressADView?) {
                callBack?.onLeftApplication()
            }

            override fun onNoAD(p0: AdError?) {
                callBack?.onNo(p0!!.errorCode, p0!!.errorMsg)
            }

            override fun onADClicked(p0: NativeExpressADView?) {
                callBack?.onClicked()
            }

            override fun onRenderSuccess(p0: NativeExpressADView?) {
                callBack?.onRenderSuccess()
            }
        })
        nativeExpress?.loadAD(1)
    }

    override fun nativeMouldViewDestroy() {
        if (nativeExpressView != null) {
            nativeExpressView?.destroy()
        }
    }
}
